OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
CapacityAnnotation::Comparator Struct Reference

Comparator for std containers. More...

## Public Member Functions
bool | operator() (const CapacityAnnotation *x, const CapacityAnnotation *y) const
| Compare two capacity annotations.

## Detailed Description

Comparator for std containers.

Definition at line 70 of file mcf.cpp.

## Member Function Documentation

bool CapacityAnnotation::Comparator::operator() | ( | const CapacityAnnotation * | x,
|  | const CapacityAnnotation * | y
| ) |  | const

Compare two capacity annotations.

Parameters

  x | First capacity annotation.
  y | Second capacity annotation.

Returns
  If x is better than y.

Definition at line 561 of file mcf.cpp.

References CapacityAnnotation::GetAnnotation(), and Path::GetNode().

The documentation for this struct was generated from the following file:

- src/linkgraph/mcf.cpp